@echo off
rem Copyright (c) Pieter van Dieren
cls
echo.
echo        *************************************************************
echo        *                                                           *
echo        *  This batch file will install Pieter's 1997 Carset v2.4   *
echo        *                                                           *
echo        *    The carset will change GP2.EXE and some JAM files !    *
echo        *    If you don't want to continue now, press CTRL-BREAK.   *
echo        *                                                           *
echo        *         Read readme.txt for more information              *
echo        *                                                           *
echo        *  Copyright (c) 1996, 1997 PK Arnall & Pieter van Dieren   *
echo        *                                                           *
echo        *************************************************************
echo.
echo.
pause
cls

rem Checking if the files are in the right directory --------------------

if not exist ..\gp2.exe         goto wrong_dir
if not exist ..\97carset\97.bat goto wrong_dir
if not exist ..\f1gstate.sav    goto wrong_install

rem Copying GP2JAM ------------------------------------------------------

copy gp2jam.exe   ..\gamejams
copy 32rtm.exe    ..\gamejams
copy dpmi32vm.ovl ..\gamejams


rem Patching the game and creating new cars -----------------------------

gp2edexp p97cs24.gpe ..


goto ready

:wrong_dir
echo.
echo        *************************************************************
echo        *                                                           *
echo        *    You did not copy the files to the right directory!     *
echo        *  Make sure the files are in the GP2\97CARSET directory.   *
echo        *                                                           *
echo        *      Read README.TXT how to install the 1997 carset.      *
echo        *                                                           *
echo        *************************************************************
echo.
goto end

:wrong_install
echo.
echo        *************************************************************
echo        *                                                           *
echo        *            The file F1GSTATE.SAV is missing!              *
echo        *  Without this file you cannot install te carset properly. *
echo        * To solve this, start GP2. Then exit the game with saving  *
echo        *     the changes activated. Then rerun the batch file.     *
echo        *                                                           *
echo        *          Read README.TXT for further information          *
echo        *                                                           *
echo        *************************************************************
echo.
goto end

:ready
cls
echo.
echo.
echo        *************************************************************
echo        *                                                           *
echo        *                 All files are now installed!              *
echo        *                                                           *
echo        *                                                           *
echo        * Remember: You will probably have to change some things    *
echo        *           within the game again.                          *
echo        *           (E.g. controller setup, graphics options etc.)  *
echo        *                                                           *
echo        *                                                           *
echo        *                    Have a great race!                     *
echo        *                                                           *
echo        *************************************************************
echo.
echo.
echo.
echo.
:end